<?php
namespace Pinpoint\RedirectManager\Model;
/**
 * Class NotFound
 * @package Pinpoint\RedirectManager\Model
 */
class NotFound extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\RedirectManager\Api\Data\NotFoundInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     * @var string
     */
    const CACHE_TAG = 'pinpoint_redirectmanager_notfound';

    protected function _construct()
    {
        $this->_init('Pinpoint\RedirectManager\Model\ResourceModel\NotFound');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }

    /**
     * @param \Magento\Framework\App\RequestInterface $request
     */
    public function log(\Magento\Framework\App\RequestInterface $request)
    {
        $this->setData(['requested_path' => $request->getPathInfo()])->save();
    }
}
